Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface Operation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface Operation

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Operation'. [[ TODO - add documentation here ]]

The following features are supported:

- `Name`
- `Params`
- `Op Type`
- `Return Type`
- `Throws`
- `Tx Type`
- `Since`
- `Authorized Roles`
- `Validator`

See Also:
  `ServicedefPackage.getOperation()`

Method Summary
`org.eclipse.emf.common.util.EList<Role>` | `getAuthorizedRoles()` Returns the value of the 'Authorized Roles' reference list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`OpTypeEnum` | `getOpType()` Returns the value of the 'Op Type' attribute.
`org.eclipse.emf.common.util.EList<Param>` | `getParams()` Returns the value of the 'Params' containment reference list.
`Type` | `getReturnType()` Returns the value of the 'Return Type' reference
`java.lang.String` | `getSince()` Returns the value of the 'Since' attribute
`org.eclipse.emf.common.util.EList<Exception>` | `getThrows()` Returns the value of the 'Throws' reference list.
`TXTypeEnum` | `getTxType()` Returns the value of the 'Tx Type' attribute.
`InputValidator` | `getValidator()` Returns the value of the 'Validator' containment reference
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setOpType(OpTypeEnum value)` Sets the value of the '`Op Type`' attribute
`void` | `setReturnType(Type value)` Sets the value of the '`Return Type`' reference
`void` | `setSince(java.lang.String value)` Sets the value of the '`Since`' attribute
`void` | `setTxType(TXTypeEnum value)` Sets the value of the '`Tx Type`' attribute
`void` | `setValidator(InputValidator value)` Sets the value of the '`Validator`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `ServicedefPackage.getOperation_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getParams

    org.eclipse.emf.common.util.EList<Param> getParams()

  Returns the value of the 'Params' containment reference list. The list contents are of type `Param`.

  If the meaning of the 'Params' containment reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Params' containment reference list.
  See Also:
    `ServicedefPackage.getOperation_Params()`

### getOpType

    OpTypeEnum getOpType()

  Returns the value of the 'Op Type' attribute. The default value is `"synch"`. The literals are from the enumeration `OpTypeEnum`.

  If the meaning of the 'Op Type' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Op Type' attribute.
  See Also:
    `OpTypeEnum`, `setOpType(OpTypeEnum)`, `ServicedefPackage.getOperation_OpType()`

### setOpType

    void setOpType(OpTypeEnum value)

  Sets the value of the '`Op Type`' attribute.

  Parameters:
    `value` - the new value of the 'Op Type' attribute.
  See Also:
    `OpTypeEnum`, `getOpType()`

### getReturnType

    Type getReturnType()

  Returns the value of the 'Return Type' reference.

  If the meaning of the 'Return Type' reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Return Type' reference.
  See Also:
    `setReturnType(Type)`, `ServicedefPackage.getOperation_ReturnType()`

### setReturnType

    void setReturnType(Type value)

  Sets the value of the '`Return Type`' reference.

  Parameters:
    `value` - the new value of the 'Return Type' reference.
  See Also:
    `getReturnType()`

### getThrows

    org.eclipse.emf.common.util.EList<Exception> getThrows()

  Returns the value of the 'Throws' reference list. The list contents are of type `Exception`.

  If the meaning of the 'Throws' reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Throws' reference list.
  See Also:
    `ServicedefPackage.getOperation_Throws()`

### getTxType

    TXTypeEnum getTxType()

  Returns the value of the 'Tx Type' attribute. The default value is `"noTX"`. The literals are from the enumeration `TXTypeEnum`.

  If the meaning of the 'Tx Type' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Tx Type' attribute.
  See Also:
    `TXTypeEnum`, `setTxType(TXTypeEnum)`, `ServicedefPackage.getOperation_TxType()`

### setTxType

    void setTxType(TXTypeEnum value)

  Sets the value of the '`Tx Type`' attribute.

  Parameters:
    `value` - the new value of the 'Tx Type' attribute.
  See Also:
    `TXTypeEnum`, `getTxType()`

### getSince

    java.lang.String getSince()

  Returns the value of the 'Since' attribute.

  If the meaning of the 'Since' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Since' attribute.
  See Also:
    `setSince(String)`, `ServicedefPackage.getOperation_Since()`

### setSince

    void setSince(java.lang.String value)

  Sets the value of the '`Since`' attribute.

  Parameters:
    `value` - the new value of the 'Since' attribute.
  See Also:
    `getSince()`

### getAuthorizedRoles

    org.eclipse.emf.common.util.EList<Role> getAuthorizedRoles()

  Returns the value of the 'Authorized Roles' reference list. The list contents are of type `Role`.

  If the meaning of the 'Authorized Roles' reference list isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Authorized Roles' reference list.
  See Also:
    `ServicedefPackage.getOperation_AuthorizedRoles()`

### getValidator

    InputValidator getValidator()

  Returns the value of the 'Validator' containment reference.

  If the meaning of the 'Validator' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Validator' containment reference.
  See Also:
    `setValidator(InputValidator)`, `ServicedefPackage.getOperation_Validator()`

### setValidator

    void setValidator(InputValidator value)

  Sets the value of the '`Validator`' containment reference.

  Parameters:
    `value` - the new value of the 'Validator' containment reference.
  See Also:
    `getValidator()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD